View Issue Details

IDProjectCategoryView StatusLast Update
0004497Talermerchant backend API (C)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004497: revise error responses
DescriptionE.g. taler-merchant-pay_httpd.c:440

resume_pay_with_response (pc,
  MHD_HTTP_BAD_REQUEST,
  TMH_RESPONSE_make_json_pack ("{s:s, s:o}",
    "hint", "unknown denom to exchange",
    "denom_pub", GNUNET_JSON_from_rsa_public_key (dc->denom.rsa_public_key)));

It is unacceptable that the error here is only given in the "hint".
TagsNo tags attached.

Relationships

related to 0004495 closedFlorian Dold fulfillment page fails(400) 
related to 0004705 closedChristian Grothoff Non compliant error returned 

Activities

Christian Grothoff

2016-10-20 15:12

manager   ~0011364

Error codes are provided as of 2854239..ae8bc76 (by the server). API (C library) modifications are still to be done.

Christian Grothoff

2016-10-20 21:34

manager   ~0011370

C API now also returns error codes.

Issue History

Date Modified Username Field Change
2016-05-09 08:32 Florian Dold New Issue
2016-05-09 08:32 Florian Dold Status new => assigned
2016-05-09 08:32 Florian Dold Assigned To => Marcello Stanisci
2016-05-09 08:33 Florian Dold Relationship added related to 0004495
2016-05-09 08:52 Florian Dold Assigned To Marcello Stanisci => Florian Dold
2016-05-31 09:39 Christian Grothoff Product Version => 0.0
2016-05-31 09:39 Christian Grothoff Target Version => 0.1
2016-05-31 09:55 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2016-09-26 13:47 Christian Grothoff Target Version 0.1 => 0.2
2016-10-10 08:39 Christian Grothoff Relationship added related to 0004705
2016-10-20 15:12 Christian Grothoff Note Added: 0011364
2016-10-20 21:34 Christian Grothoff Note Added: 0011370
2016-10-20 21:34 Christian Grothoff Status assigned => resolved
2016-10-20 21:34 Christian Grothoff Fixed in Version => 0.2
2016-10-20 21:34 Christian Grothoff Resolution open => fixed
2016-11-20 03:26 Christian Grothoff Status resolved => closed